%define ver 3_420

Summary: IOzone Filesystem Benchmark
Name: iozone
Version: 3.420
Release: 1
License: Freeware
Group: Applications/Engineering
URL: http://www.iozone.org
Source0: http://www.iozone.org/src/current/%{name}%{ver}.tar
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch, gcc >= 4.2.3-2

%description
IOzone is a filesystem benchmark tool. The benchmark generates and 
measures a variety of file operations. IOzone has been ported to many machines and runs under many operating systems.

IOzone is useful for performing a broad filesystem analysis of a vendors
computer platform. The benchmark tests file I/O performance for the following
operations: Read, write, re-read, re-write, read backwards, read strided,
fread, fwrite, random read, pread ,mmap, aio_read, aio_write.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -n %{name}%{ver}
chmod -R u+w *
chmod 0644 src/current/Gnuplot.txt


%build
cd src/current

make AIX CC=xlc_r
mv iozone iozone_AIX
mv fileop fileop_AIX
make clean

make AIX-LF CC=xlc_r
mv iozone iozone_AIX-LF
mv fileop fileop_AIX-LF
make clean

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

make AIX64 CC=gcc
mv iozone iozone_AIX64
mv fileop fileop_AIX64
make clean

make AIX64-LF CC=gcc
mv iozone iozone_AIX64-LF
mv fileop fileop_AIX64-LF
rm -f *.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd src/current

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp iozone_AIX* fileop_AIX* pit_server ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp ${RPM_BUILD_DIR}/%{name}%{ver}/docs/iozone.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp Generate_Graphs ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp gengnuplot.sh ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp gnu*.dem ${RPM_BUILD_ROOT}%{_datadir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/Generate_Graphs
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/gengnuplot.sh
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/gnu*.dem

cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s iozone_AIX64-LF iozone
ln -s fileop_AIX64-LF fileop

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%files
%defattr(-,root,system,-)
%doc src/current/Gnuplot.txt
%doc docs/IOzone_msword_98.pdf
%doc docs/Iozone_ps.gz
%doc docs/Run_rules.doc
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/*
/usr/bin/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Mon Sep 16 2013 Michael Perzl <michael@perzl.org> - 3_420-1
- updated to version 3_420-1

* Mon Sep 16 2013 Michael Perzl <michael@perzl.org> - 3_417-1
- updated to version 3_417-1

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 3_414-1
- updated to version 3_414-1

* Tue Jun 12 2012 Michael Perzl <michael@perzl.org> - 3_408-1
- updated to version 3_408-1

* Tue May 01 2012 Michael Perzl <michael@perzl.org> - 3_405-1
- updated to version 3_405-1

* Thu Apr 19 2012 Michael Perzl <michael@perzl.org> - 3_403-1
- updated to version 3_403-1

* Mon Feb 06 2012 Michael Perzl <michael@perzl.org> - 3_398-1
- updated to version 3_398-1

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 3_397-1
- updated to version 3_397-1

* Tue May 03 2011 Michael Perzl <michael@perzl.org> - 3_394-1
- updated to version 3_394-1

* Wed Oct 05 2010 Michael Perzl <michael@perzl.org> - 3_347-1
- updated to version 3_347-1
- fixed core dumps of 64-bit binaries

* Fri Jan 23 2009 Michael Perzl <michael@perzl.org> - 3_291-2
- fixed error for ASYNC IO for 32-bit binaries

* Tue Apr 08 2008 Michael Perzl <michael@perzl.org> - 3_291-1
- First version for AIX5L v5.1 and higher
